1. Dismiss Notice
  2. GOG.com logo

    Thanks to YOUR votes, GOG.com now sells:
    - Sea Dogs - Sea Dogs: Caribbean Tales
    - Sea Dogs: City of Abandoned Ships

    Vote now to add Pirates of the Caribbean to the list!

    Dismiss Notice
  3. Under the Crossbones Podcast

    A Pirate Podcast with Interviews
    Music, Comedy and all things Pirate!

    - Episode Guide - About - Subscribe -
    - Twitter - Facebook - iTunes - Android -
    - Youtube - Fill the Coffers -

    Dismiss Notice
  4. New Horizons logo

    Quick links for PotC: New Horizons
    - Download latest version
    - Wiki - FAQ - Report bugs here
    - ModDB profile

  5. GOF logo

    Quick links for AoP2: Gentlemen of Fortune 2
    - Downloads and info
    - Historical Immersion Supermod
    - ModDB Profile

Dismiss Notice
New to the forum?
Please take a moment to read our Welcome Message and Forum Rules.

Need Help A.O.P Caribbean tales installation problems.

Discussion in 'Technical Help' started by Jerreco, Sep 30, 2014.

  1. Jerreco

    Jerreco Landlubber

    Joined:
    Sep 30, 2014
    Messages:
    1
    Gender:
    Male
    Hello everyone, I was looking through my old games and thought I might give Age Of Pirates CT a try. I am currently running windows 8.1 64-bit, and i've followed all the correct instructions in updating everything from here: http://www.playlogicgames.com/game/age-of-pirates--caribbean-tales. I have the 1.5 AOP patch, an old version of direct x, starforce, that I updated (older version under 5.5) as well. The problem is when I go to run the game, starforce says "you do not meet the minimal requirements..." I don't know what else to do, did I update starforce wrong? Do I need to bypass it in order to run the game? If anyone could help me out that'd be great, thank you for reading this!
     
    Last edited: Sep 30, 2014

Share This Page